> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Active Wallet Report

> Builds an org-wide active wallet report (latest wallet request/status per role) via walletService.

Required scope: `banking:read`

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-active-wallet-report
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-active-wallet-report:
    get:
      operationId: getActiveWalletReport
      summary: Get Active Wallet Report
      x-toku-required-scope: banking:read
      description: >-
        Builds an org-wide active wallet report (latest wallet request/status
        per role) via walletService.


        Required scope: `banking:read`
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetActiveWalletReportResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetActiveWalletReportResponse:
      type: array
      items:
        type: object
        properties:
          roleInOrgID:
            type:
              - string
              - 'null'
          externalEmployeeID:
            type:
              - string
              - 'null'
          person:
            type:
              - object
              - 'null'
            properties:
              fullName:
                type:
                  - string
                  - 'null'
              email:
                type:
                  - string
                  - 'null'
          orgNetwork:
            type:
              - object
              - 'null'
            properties:
              name:
                type:
                  - string
                  - 'null'
          walletTypeCustom:
            type:
              - object
              - 'null'
            properties:
              name:
                type:
                  - string
                  - 'null'
          address:
            type:
              - string
              - 'null'
          network:
            type:
              - string
              - 'null'
          networkIcon:
            type:
              - string
              - 'null'
          walletType:
            type:
              - string
              - 'null'
          createdAt:
            type:
              - string
              - 'null'
          status:
            type:
              - string
              - 'null'
          walletVerificationRequest:
            type:
              - object
              - 'null'
            properties:
              link:
                type:
                  - string
                  - 'null'
              approvedAt:
                type:
                  - string
                  - 'null'
              approvedByPerson:
                type:
                  - string
                  - 'null'
              approvedByRoleInOrgID:
                type:
                  - string
                  - 'null'
              rejectedAt:
                type:
                  - string
                  - 'null'
              rejectedByPerson:
                type:
                  - string
                  - 'null'
              rejectedByRoleInOrgID:
                type:
                  - string
                  - 'null'
              walletVerificationRequestID:
                type:
                  - string
                  - 'null'
              roleInOrgID:
                type:
                  - string
                  - 'null'
              walletID:
                type:
                  - string
                  - 'null'
              addedByRoleInOrgID:
                type:
                  - string
                  - 'null'
              addedByPerson:
                type:
                  - string
                  - 'null'
          userAddedToPlatformAt:
            type:
              - string
              - 'null'
          lastInactiveWalletReminderBy:
            type:
              - string
              - 'null'
          lastInactiveWalletReminderAt:
            type:
              - string
              - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
